Bug 437117 - netfs doesn't use "ncp"
netfs doesn't use "ncp"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 10:49 EDT by Karel Zak
Modified: 2014-03-16 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 13:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2008-03-12 10:49:47 EDT
Description of problem:

It seems (bug #436965) that our users are very creative and they use "ncp" and
also "ncpfs". I think the netfs init script need to use:

- [ -n "$NCPMTAB" ] && action $"Unmounting NCP filesystems: " umount -a -t
ncpfs- + [ -n "$NCPMTAB" ] && action $"Unmounting NCP filesystems: " umount -a
-t ncpfs,ncp
Comment 1 Bill Nottingham 2008-03-12 11:11:29 EDT
Is ncp valid? Does that work to mount it?
Comment 2 Karel Zak 2008-03-12 12:10:59 EDT
Yes, it's synonym:

$ ls -la /sbin/mount.ncp*
lrwxrwxrwx 1 root root 19 2008-03-11 19:30 /sbin/mount.ncp -> ../usr/bin/ncpmount
lrwxrwxrwx 1 root root 19 2008-03-11 19:30 /sbin/mount.ncpfs -> ../usr/bin/ncpmount

Uf.. symlinks from /sbin  to /usr/bin :-(
Comment 3 Bill Nottingham 2008-03-12 12:20:49 EDT
We could take out the mount.ncp symlink. *ducks*

Fixed in git.

Note You need to log in before you can comment on or make changes to this bug.